### Virtual Method

# Gegl MetadataStore_declare

#### Declaration [src]

    void
    _declare (
      GeglMetadataStore* self,
      GParamSpec* pspec,
      gboolean shadow
    )

#### Description [src]

The _declare virtual method creates a metadata variable in the underlying data store. It implements gegl_metadata_store_declare(). A `GParamSpec` is used to describe the variable. If the metadata shadows an object property, shadow should be `TRUE`, otherwise `FALSE`. It is acceptable for a subclass to provide additional variables which are implicitly declared, that is, they need not be declared using gegl_metadata_store_declare(), however the `pspec` method must still retrieve a `GParamSpec` describing such variables. This method MUST be provided by the subclass.

#### Parameters

`pspec`

  Type: `GParamSpec`

  No description available.

  The data is owned by the caller of the method.

`shadow`

  Type: `gboolean`

  No description available.